hydra-users
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

login name of build process


From: Thien-Thi Nguyen
Subject: login name of build process
Date: Thu, 06 Jan 2011 04:52:44 +0100
User-agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)

GNU RCS is currently failing to build in one case:

  http://hydra.nixos.org/build/846879

because a test script (from "make check") cannot determine the
login name of the build process.  Here is the relevant fragment:

  case $LOGNAME in
  ?*) me=$LOGNAME;;
  *)
          case $USER in
          ?*) me=$USER;;
          *)
                  me=`who am i` || exit 2
                  me=`echo "$me" | sed -e 's/ .*//' -e 's/.*!//'`
                  case $me in
                  '') echo >&2 "$0: cannot deduce user name"; exit 2
                  esac
          esac
  esac

The error log shows the "cannot deduce" message, so it seems
that both env vars LOGNAME and USER are unset and that `who am i`
produced no useful output.

So my questions are:
- Is there another env var to check?
- Would `id -un` work?
- If none of the above, what do you suggest?



reply via email to

[Prev in Thread] Current Thread [Next in Thread]